meanSdPlot {vsn} | R Documentation

## Plot row standard deviations versus row means

### Description

Plot row standard deviations versus row means

### Usage

    meanSdPlot(x,
               ranks = TRUE,
               xlab  = ifelse(ranks, "rank(mean)", "mean"),
               ylab  = "sd",
               pch   = ".",
               col, ...)

### Arguments

`x` | An object of class `matrix` or `exprSet`
`ranks` | Logical, indicating whether the x-axis (means) should be plotted on the original scale (FALSE) or on the rank scale (TRUE). The latter distributes the data more evenly along the x-axis and allows a better visual assessment of the standard deviation as a function of the mean.
`xlab` | Character, label for the x-axis.
`ylab` | Character, label for the y-axis.
`pch` | Plot symbol.
`col` | Color of plotted points. See details.
`...` | Further arguments that get passed to plot.default.

### Details

Standard deviation and mean are calculated row-wise from the matrix `exprs(x)`. The scatterplot of these versus each other allows to visually verify whether there is a dependence of the standard deviation (or variance) on the mean. The red dots depict the running median estimator (window-width 10%). If there is no variance-mean dependence, then the line formed by the red dots should be approximately horizontal.

If the `preprocessing` slot of the `description` slot of `x` is a `list` and contains an element named `vsnTrimSelection`, then the coloring of the points reflects the trimming that was used in the least trimmed sum of squares (LTS) estimation (see `vsn`). If the condition does not apply, and `col` is `NULL`, the points are drawn in black. If `col` is not `NULL`, its value is used for the coloring of the points.

### Value

The function is called for its side effect, creating a plot on the active graphics device.

### Author(s)

Wolfgang Huber http://www.ebi.ac.uk/huber

### See Also

`vsn`

### Examples

      data(kidney)
      log.na = function(x) log(ifelse(x>0, x, NA))

      exprs(kidney) = log.na(exprs(kidney))
      meanSdPlot(kidney)

      ## ...try this out with non-logged data, the lymphoma data, your data...

[Package vsn version 1.8.0 Index]